# Generated by Django 5.0.6 on 2024-10-05 00:39

import django.db.models.deletion
import modelcluster.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("home", "0013_delete_contactsection"),
        ("wagtailcore", "0093_uploadedfile"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="footersection",
            name="navigation_links",
        ),
        migrations.CreateModel(
            name="FooterLink",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                (
                    "link_title",
                    models.CharField(
                        blank=True,
                        help_text="Optional title for the footer link.",
                        max_length=50,
                        null=True,
                    ),
                ),
                (
                    "link_url",
                    models.CharField(
                        blank=True,
                        help_text="External URL for the footer link.",
                        max_length=500,
                    ),
                ),
                (
                    "open_in_new_tab",
                    models.BooleanField(
                        blank=True, default=False, help_text="Open link in a new tab."
                    ),
                ),
                (
                    "footer_section",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="footer_links",
                        to="home.footersection",
                    ),
                ),
                (
                    "link_page",
                    models.ForeignKey(
                        blank=True,
                        help_text="Select an internal page to link to.",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="wagtailcore.page",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
            },
        ),
    ]
